import { jsx as _jsx } from "react/jsx-runtime";
import { Select as ChakraReactSelect } from 'chakra-react-select';
import { autocompleteChakraStyles } from './Autocomplete.styles';
/**
 * Provides a react-select Autocomplete widget with Chakra fields
 *
 * - https://github.com/csandman/chakra-react-select
 * - https://react-select.com
 *
 * Note: under the hood, chakra-react-select imports from @chakra-ui/*
 * We are leveraging vite/rollup to rewrite these relevant imports to @burnsred/ui-chakra
 *
 * The minimum required is:
 * https://github.com/csandman/chakra-react-select/blob/main/src/use-chakra-select-props.ts#L2
 *
 * **Further rewrites may be required.**
 *
 * ## Styling
 *
 * > There are a few ways to style the components that make up
 * > chakra-react-select. It's important to note that this package does not use
 * > the theme or styles props that are implemented in react-select. The theme
 * > prop isn't used as most of the components' base styles are pulling from
 * > your Chakra theme, and customizing your base theme (such as colors or
 * > component styles) should in turn change the styles in this package.
 * >
 * > This package does however offer an alternative to the styles prop,
 * > [chakraStyles](https://github.com/csandman/chakra-react-select#chakrastyles).
 * > It mostly emulates the behavior of the original styles prop, however,
 * > because it’s not identical it is named differently to prevent confusion.
 *
 * https://github.com/csandman/chakra-react-select#styling
 *
 */
export const Autocomplete = ({ sx, ...props }) => {
    return (
    // FIXME WIP
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    _jsx(ChakraReactSelect
    // name="colors"
    // options={groupedOptions}
    // placeholder="Select some colors..."
    // selectedOptionStyle="check"
    , { 
        // name="colors"
        // options={groupedOptions}
        // placeholder="Select some colors..."
        // selectedOptionStyle="check"
        chakraStyles: { ...autocompleteChakraStyles, ...sx }, ...props }));
};
//# sourceMappingURL=Autocomplete.js.map